Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002391 [DCSS] Bug Report minor always 2010-08-27 14:03 2014-08-03 09:56
Reporter ledtim View Status public  
Assigned To doy
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0002391: Non-damaging needles do not count as attacks for the purpose of attacking allies
Description Needles such as needles of paralysis and slowing do not count as attacking allies even if you fire directly at them, and they do not turn hostile nor do gods such as Okawaru get angry.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007634)
BirdoPrey (reporter)
2010-08-27 21:32

Sounds like a good use for needles of frenzy.
(0007639)
ledtim (reporter)
2010-08-28 01:07

That's what I thought so too. https://crawl.develz.org/mantis/view.php?id=2392 [^]
(0007640)
KiloByte (manager)
2010-08-28 02:14

Any needle is an aggressive act, including those of frenzy, and them not triggering god anger is a bug.
(0026916)
doy (developer)
2014-08-03 09:55

This appears to have already been fixed. Closing.

- Issue History
Date Modified Username Field Change
2010-08-27 14:03 ledtim New Issue
2010-08-27 21:32 BirdoPrey Note Added: 0007634
2010-08-28 01:07 ledtim Note Added: 0007639
2010-08-28 02:14 KiloByte Note Added: 0007640
2014-08-03 09:55 doy Note Added: 0026916
2014-08-03 09:55 doy Status new => resolved
2014-08-03 09:55 doy Fixed in Branch => 0.15 development branch
2014-08-03 09:55 doy Resolution open => done
2014-08-03 09:55 doy Assigned To => doy


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker